#include <stdlib.h>
#include "libgraph.h"







char err_name[]="camlwin.err";
char out_name[]="camlwin.out";
char camlwin_env[]="CAMLWIN";


value gr_system(prog)     /* ML */
  value prog;
{
  int i;
  char *env,e_name[1024],redir_prog[1024];
  FILE *tmp;

  XFlush(grdisplay);
  env=getenv(camlwin_env);
  if(env==NULL)
  {
#ifdef DEBUG
    fprintf(stderr,"gr_system : Variable CAMLWIN is not set");
#endif
    gr_fail("%s","gr_system : Variable CAMLWIN is not set");
    return Val_unit;
  }
#ifdef DEBUG  
  fprintf(stderr,"gr_system : CAMLWIN = %s\n",env);
#endif

  strcpy(e_name,env);
  strcat(e_name,"/");
  strcat(e_name,err_name);

  strcpy(redir_prog,String_val(prog));
  strcat(redir_prog," >");
  strcat(redir_prog,env);
  strcat(redir_prog,"/");
  strcat(redir_prog,out_name);


  freopen(e_name, "wt", stderr);

  i=system(redir_prog);

  fclose(stderr);
 
  return Val_long(i);
}

